public class Prayer
{
	/* 
	Supported methods for Extreme Latitude calculations 
	(Method.extreme)
      
	0: none. if unable to calculate, leave as 0:00
	1: Nearest Latitude: All salats Always
	2: Nearest Latitude: Fajr Ishaa Always
	3: Nearest Latitude: Fajr Ishaa if invalid
	4: Nearest Good Day: All salats Always
	5: Nearest Good Day: Fajr Ishaa if invalid
	6: 1/7th of Night: Fajr Ishaa Always
	7: 1/7th of Night: Fajr Ishaa if invalid (should be default)
	8: Minutes from Shorooq/Maghrib: Always (e.g. Maghrib=Ishaa)
	9: Minutes from Shorooq/Maghrib: If invalid
    */
	
	/* Begin of Elements of Prayer Structure */

	private int minute;			/* prayer time minute */
	private int hour;			/* prayer time hour */
	private int isExtreme;		/* Extreme calculation switch. The
								   'getPrayerTimes' function sets this switch
								   to 1 to indicate that this particular
								   prayer time has been calculated through
								   extreme latitude methods and NOT by
								   conventional means of calculation. */
	private int offset;	    	/* prayer time offset in minutes. Offsets allow
								   you to add or subtract any amount of minutes to
								   the daily computed prayer time.  */
	
	/* End of Elements of Prayer Structure */

	public void setMinute(int minute)
	{
		this.minute = minute;
	}

	public void setHour(int hour)
	{
		this.hour = hour;
	}

	public void setIsExtreme(int isExtreme)
	{
		this.isExtreme = isExtreme;
	}

	public void setOffset(int offset)
	{
		this.offset = offset;
	}
	public int getMinute()
	{
		return minute;
	}

	public int getHour()
	{
		return hour;
	}

	public int getIsExtreme()
	{
		return isExtreme;
	}

	public int getOffset()
	{
		return offset;
	}
}
