/*
 * Translated to Java by Gaurav Chhabra
 *
 * prayer-demo.c is a small example that uses libprayer. For more info
 * on filling the structures and on supported methods read "prayer.h"
 * */

/* *
 *
 *   libprayer: A full featured Muslim Prayer Times calculator
 *   Copyright (C) 2003 Thamer Mahmoud (neokuwait@hotmail.com)
 *
 *   This library is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU Lesser General Public
 *   License as published by the Free Software Foundation; either
 *   version 2.1 of the License, or (at your option) any later
 *   version.
 *
 *   This library is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *   Lesser General Public License for more details.
 *
 *   You should have received a copy of the GNU Lesser General Public
 *   License along with this library; if not, write to the Free
 *   Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
 *   02111-1307 USA
 *
 * */

public class PrayerDemo
{
	public static void main(String[] args)
	{
    int i;
	MInteger deg = new MInteger();
	MInteger min = new MInteger();
	MInteger sec = new MInteger();
     char symb = 176;
     String cityName ="Abu Dhabi";
     double qibla;

     PrayerTimeLocation loc = new PrayerTimeLocation() ;
     PrayerTimeMethod conf = new PrayerTimeMethod();
     PrayerTimeDate date = new PrayerTimeDate();

	Prayer[] ptList = new Prayer[6];
	for(int iCounter = 0; iCounter < 6; iCounter++)
	{
	ptList[iCounter] = new Prayer();
	ptList[iCounter].setMinute(0);
	ptList[iCounter].setHour(0);
	ptList[iCounter].setIsExtreme(0);
	ptList[iCounter].setOffset(0);
	}

	Prayer imsaak = new Prayer();
	Prayer nextImsaak = new Prayer();
	nextImsaak.setMinute(0);
	nextImsaak.setHour(0);
	nextImsaak.setIsExtreme(0);
	nextImsaak.setOffset(0);
	Prayer nextFajr = new Prayer();

     /* fill the Date structure */
     date.setDay(30);
     date.setMonth(10);
     date.setYear(1982);

     /* fill the location info. structure */
     loc.setDegreeLat(24.4833);
	 loc.setDegreeLong(54.35);
//   loc.setDegreeLat(21.42);
//   loc.setDegreeLong(39.83);

	 loc.setGMTDiff(4); //changed from 4
     loc.setSeaLevel(0);
     loc.setDST(0);

	PrayerTimeCalculator ptc = new PrayerTimeCalculator();

     /* auto fill the method structure. Have a look at prayer.h for a
      * list of supported methods */
     ptc.getMethod(2, conf);


     /* Call the main function to fill the Prayer times array of
      * structures */
     ptc.getPrayerTimes (loc, conf, date, ptList);

     ptc.getNextDayFajr (loc, conf, date, nextFajr);
     ptc.getNextDayImsaak (loc, conf, date, nextImsaak);
     ptc.getImsaak (loc, conf, date, imsaak);
     qibla = ptc.getNorthQibla(loc);

     /* Show the results */
     System.out.println("\nPrayer schedule for :\t" +cityName);


     ptc.decimal2Dms (loc.getDegreeLat(), deg, min, sec);
	 System.out.println("Latitude\t\t" +Math.abs(deg.getInt())+" "+symb+" "+Math.abs(min.getInt())+"\' "+Math.abs(sec.getInt())+"\" "+((loc.getDegreeLat() >= 0) ? "N" : "S"));

     ptc.decimal2Dms (loc.getDegreeLong(), deg, min, sec);
	 System.out.println("Longitude\t\t"+Math.abs(deg.getInt())+" "+symb+" "+Math.abs(min.getInt())+"\' "+Math.abs(sec.getInt())+"\" "+((loc.getDegreeLong()>=0) ? "E" : "W"));

     ptc.decimal2Dms (qibla, deg, min, sec);
     System.out.println("Qibla\t\t\t"+Math.abs(deg.getInt())+" "+symb+" "+Math.abs(min.getInt())+"\' "+Math.abs(sec.getInt())+"\" "+((qibla>=0) ? "W" : "E")+"  of true North\n");


	  System.out.println("Fajr\t\t\t"+((Integer.toString(ptList[0].getHour()).length() == 1 ) ? "0"+Integer.toString(ptList[0].getHour()) : Integer.toString(ptList[0].getHour()))+":"+((Integer.toString(ptList[0].getMinute()).length() == 1 ) ? "0"+Integer.toString(ptList[0].getMinute()) : Integer.toString(ptList[0].getMinute())));
	  System.out.println("Shorooq\t\t\t"+((Integer.toString(ptList[1].getHour()).length() == 1 ) ? "0"+Integer.toString(ptList[1].getHour()) : Integer.toString(ptList[1].getHour()))+":"+((Integer.toString(ptList[1].getMinute()).length() == 1 ) ? "0"+Integer.toString(ptList[1].getMinute()) : Integer.toString(ptList[1].getMinute())));
	  System.out.println("Duhur\t\t\t"+((Integer.toString(ptList[2].getHour()).length() == 1 ) ? "0"+Integer.toString(ptList[2].getHour()) : Integer.toString(ptList[2].getHour()))+":"+((Integer.toString(ptList[2].getMinute()).length() == 1 ) ? "0"+Integer.toString(ptList[2].getMinute()) : Integer.toString(ptList[2].getMinute())));
	  System.out.println("Asr\t\t\t"+((Integer.toString(ptList[3].getHour()).length() == 1 ) ? "0"+Integer.toString(ptList[3].getHour()) : Integer.toString(ptList[3].getHour()))+":"+((Integer.toString(ptList[3].getMinute()).length() == 1 ) ? "0"+Integer.toString(ptList[3].getMinute()) : Integer.toString(ptList[3].getMinute())));
	  System.out.println("Maghreb\t\t\t"+((Integer.toString(ptList[4].getHour()).length() == 1 ) ? "0"+Integer.toString(ptList[4].getHour()) : Integer.toString(ptList[4].getHour()))+":"+((Integer.toString(ptList[4].getMinute()).length() == 1 ) ? "0"+Integer.toString(ptList[4].getMinute()) : Integer.toString(ptList[4].getMinute())));
	  System.out.println("Isha\t\t\t"+((Integer.toString(ptList[5].getHour()).length() == 1 ) ? "0"+Integer.toString(ptList[5].getHour()) : Integer.toString(ptList[5].getHour()))+":"+((Integer.toString(ptList[5].getMinute()).length() == 1 ) ? "0"+Integer.toString(ptList[5].getMinute()) : Integer.toString(ptList[5].getMinute()))+"\n");

     System.out.println("Tomorrow's Fajr\t\t"+((Integer.toString(nextFajr.getHour()).length() == 1 ) ? "0"+Integer.toString(nextFajr.getHour()) : Integer.toString(nextFajr.getHour()))+":"+((Integer.toString(nextFajr.getMinute()).length() == 1 ) ? "0"+Integer.toString(nextFajr.getMinute()) : Integer.toString(nextFajr.getMinute())));
     System.out.println("Tomorrow's Imsaak\t"+((Integer.toString(nextImsaak.getHour()).length() == 1 ) ? "0"+Integer.toString(nextImsaak.getHour()) : Integer.toString(nextImsaak.getHour()))+":"+((Integer.toString(nextImsaak.getMinute()).length() == 1 ) ? "0"+Integer.toString(nextImsaak.getMinute()) : Integer.toString(nextImsaak.getMinute())));
     System.out.println("Today's Imsaak\t\t"+((Integer.toString(imsaak.getHour()).length() == 1 ) ? "0"+Integer.toString(imsaak.getHour()) : Integer.toString(imsaak.getHour()))+":"+((Integer.toString(imsaak.getMinute()).length() == 1 ) ? "0"+Integer.toString(imsaak.getMinute()) : Integer.toString(imsaak.getMinute())));

	}
}
