/* *
 *   Translated to Java by Gaurav Chhabra
 *
 *   A full featured Muslim Prayer Times calculator
 *   Copyright (C) 2003 Thamer Mahmoud (neokuwait@hotmail.com)
 *
 *   This library is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU Lesser General Public
 *   License as published by the Free Software Foundation; either
 *   version 2.1 of the License, or (at your option) any later
 *   version.
 *
 *   This library is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *   Lesser General Public License for more details.
 *
 *   You should have received a copy of the GNU Lesser General Public
 *   License along with this library; if not, write to the Free
 *   Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
 *   02111-1307 USA
 *
 * */

public class PrayerTimeLocation
{

    
	 /* These hold the location info.
	    Begin of Elements of Location Structure */

	 private double degreeLong;	// Longitude in decimal degree.
	 private double degreeLat;	// Latitude in decimal degree.
	 private double gmtDiff;	// GMT difference
	 private double seaLevel;	// Sea level (in meters)
	 private int dst;		    // Daylight savings time switch (0 if not used).
								// Setting this to 1 should add 1 hour to all the
								// calculated prayer times
	
	/* End of Elements of Location Structure */

	
	/* Begin of Set Methods */
	
	public void setDegreeLong(double degreeLong)
	{
		 this.degreeLong = degreeLong;
	}

	public void setDegreeLat(double degreeLat)
	{
		this.degreeLat = degreeLat;
	}

	public void setGMTDiff(double gmtDiff)
	{
		this.gmtDiff = gmtDiff;
	}

	public void setSeaLevel(double seaLevel)
	{
		this.seaLevel = seaLevel;
	}

	public void setDST(int dst)
	{
		this.dst = dst;
	}

	/* End of Set Methods and Begin of Get Methods */
	
	public double getDegreeLong()
	{
		 return degreeLong;
	}

	public double getDegreeLat()
	{
		return degreeLat;
	}

	public double getGMTDiff()
	{
		return gmtDiff;
	}

	public double getSeaLevel()
	{
		return seaLevel;
	}

	public int getDST()
	{
		return dst;
	}
}