/* *
 *   Translated to Java by Gaurav Chhabra
 *
 *   A full featured Muslim Prayer Times calculator
 *   Copyright (C) 2003 Thamer Mahmoud (neokuwait@hotmail.com)
 *
 *   This library is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU Lesser General Public
 *   License as published by the Free Software Foundation; either
 *   version 2.1 of the License, or (at your option) any later
 *   version.
 *
 *   This library is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *   Lesser General Public License for more details.
 *
 *   You should have received a copy of the GNU Lesser General Public
 *   License along with this library; if not, write to the Free
 *   Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
 *   02111-1307 USA
 *
 * */

public class PrayerTimeMethod
{

	 /* These hold the calculation method used.
		Begin of Elements of Method Structure */

	private double fajrAng;		/* Fajr angle */
	private double ishaaAng;	/* Ishaa angle */
	private double imsaakAng;	/* Imsaak angle and Fajr difference is 1.5 */
	private int fajrInv;		/* Fajr Interval 90 or 120 (0 if not used) */
	private int ishaaInv;		/* Ishaa Interval 90 or 120 (0 if not used) */
	private int imsaakInv;		/* Imsaak Interval from Fajr is 10 minutes
									if fajrInv is set */
	private int mathhab;		/* Shaf'i =1 and Hanafi =2 */
	private double nearestLat;	/* Latitude Used for the 'Nearest Latitude'
									extreme methods. Thedefault should be 48.5 */	     
	private int extreme;		/* Extreme latitude calculation method (see below) */
	
	/* End of Elements of Method Structure */
	
	/* Begin of Set Methods */
	
	public void setFajrAngle(double fajrAng)
	{
		this.fajrAng = fajrAng;
	}

	public void setIshaaAngle(double ishaaAng)
	{
		this.ishaaAng = ishaaAng;
	}

	public void setImsaakAngle(double imsaakAng)
	{
		this.imsaakAng = imsaakAng;
	}

	public void setFajrInv(int fajrInv)
	{
		this.fajrInv = fajrInv;
	}

	public void setIshaaInv(int ishaaInv)
	{
		this.ishaaInv = ishaaInv;
	}

	public void setImsaakInv(int imsaakInv)
	{
		this.imsaakInv = imsaakInv;
	}

	public void setMathhab(int mathhab)
	{
		this.mathhab = mathhab;
	}

	public void setNearestLat(double nearestLat)
	{
		this.nearestLat = nearestLat;
	}

	public void setExtreme(int extreme)
	{
		this.extreme = extreme;
	}

	/* End of Set Methods and Begin of Get Methods */
	
	public double getFajrAngle()
	{
		return fajrAng;
	}

	public double getIshaaAngle()
	{
		return ishaaAng;
	}

	public double getImsaakAngle()
	{
		return imsaakAng;
	}

	public int getFajrInv()
	{
		return fajrInv;
	}

	public int getIshaaInv()
	{
		return ishaaInv;
	}

	public int getImsaakInv()
	{
		return imsaakInv;
	}

	public int getMathhab()
	{
		return mathhab;
	}

	public double getNearestLat()
	{
		return nearestLat;
	}

	public int getExtreme()
	{
		return extreme;
	}
}